package com.atrium.hibernate;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;



/**
 * Recetas entity. @author MyEclipse Persistence Tools
 */

public class Recetas implements java.io.Serializable {

	// Fields

	private String nombre;
	private String ingrediente1;
	private String ingrediente2;
	private String ingrediente3;
	private String ingrediente4;
	private String ingrediente5;
	private String ingrediente6;
	private String ingrediente7;
	private String ingrediente8;
	private String ingrediente9;
	private String ingrediente10;
	private String ingrediente11;
	private String ingrediente12;
	private String ingrediente13;
	private String ingrediente14;
	private String ingrediente15;
	private String vinculo;
	
	
	// Constructors

	/** default constructor */
	public Recetas() {
	}

	/** minimal constructor */
	public Recetas(String nombre) {
		this.nombre = nombre;
	}

	/** full constructor */
	public Recetas(String nombre, String ingrediente1, String ingrediente2,
			String ingrediente3, String ingrediente4, String ingrediente5,
			String ingrediente6, String ingrediente7, String ingrediente8,
			String ingrediente9, String ingrediente10, String ingrediente11,
			String ingrediente12, String ingrediente13, String ingrediente14,
			String ingrediente15, String vinculo) {
		this.nombre = nombre;
		this.ingrediente1 = ingrediente1;
		this.ingrediente2 = ingrediente2;
		this.ingrediente3 = ingrediente3;
		this.ingrediente4 = ingrediente4;
		this.ingrediente5 = ingrediente5;
		this.ingrediente6 = ingrediente6;
		this.ingrediente7 = ingrediente7;
		this.ingrediente8 = ingrediente8;
		this.ingrediente9 = ingrediente9;
		this.ingrediente10 = ingrediente10;
		this.ingrediente11 = ingrediente11;
		this.ingrediente12 = ingrediente12;
		this.ingrediente13 = ingrediente13;
		this.ingrediente14 = ingrediente14;
		this.ingrediente15 = ingrediente15;
		this.vinculo = vinculo;
	}

	// Property accessors

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getIngrediente1() {
		return this.ingrediente1;
	}

	public void setIngrediente1(String ingrediente1) {
		this.ingrediente1 = ingrediente1;
	}

	public String getIngrediente2() {
		return this.ingrediente2;
	}

	public void setIngrediente2(String ingrediente2) {
		this.ingrediente2 = ingrediente2;
	}

	public String getIngrediente3() {
		return this.ingrediente3;
	}

	public void setIngrediente3(String ingrediente3) {
		this.ingrediente3 = ingrediente3;
	}

	public String getIngrediente4() {
		return this.ingrediente4;
	}

	public void setIngrediente4(String ingrediente4) {
		this.ingrediente4 = ingrediente4;
	}

	public String getIngrediente5() {
		return this.ingrediente5;
	}

	public void setIngrediente5(String ingrediente5) {
		this.ingrediente5 = ingrediente5;
	}

	public String getIngrediente6() {
		return this.ingrediente6;
	}

	public void setIngrediente6(String ingrediente6) {
		this.ingrediente6 = ingrediente6;
	}

	public String getIngrediente7() {
		return this.ingrediente7;
	}

	public void setIngrediente7(String ingrediente7) {
		this.ingrediente7 = ingrediente7;
	}

	public String getIngrediente8() {
		return this.ingrediente8;
	}

	public void setIngrediente8(String ingrediente8) {
		this.ingrediente8 = ingrediente8;
	}

	public String getIngrediente9() {
		return this.ingrediente9;
	}

	public void setIngrediente9(String ingrediente9) {
		this.ingrediente9 = ingrediente9;
	}

	public String getIngrediente10() {
		return this.ingrediente10;
	}

	public void setIngrediente10(String ingrediente10) {
		this.ingrediente10 = ingrediente10;
	}

	public String getIngrediente11() {
		return this.ingrediente11;
	}

	public void setIngrediente11(String ingrediente11) {
		this.ingrediente11 = ingrediente11;
	}

	public String getIngrediente12() {
		return this.ingrediente12;
	}

	public void setIngrediente12(String ingrediente12) {
		this.ingrediente12 = ingrediente12;
	}

	public String getIngrediente13() {
		return this.ingrediente13;
	}

	public void setIngrediente13(String ingrediente13) {
		this.ingrediente13 = ingrediente13;
	}

	public String getIngrediente14() {
		return this.ingrediente14;
	}

	public void setIngrediente14(String ingrediente14) {
		this.ingrediente14 = ingrediente14;
	}

	public String getIngrediente15() {
		return this.ingrediente15;
	}

	public void setIngrediente15(String ingrediente15) {
		this.ingrediente15 = ingrediente15;
	}

	public String getVinculo() {
		return this.vinculo;
	}

	public void setVinculo(String vinculo) {
		this.vinculo = vinculo;
	}
	
}